/*
    Copyright 2009 EPOS-Project
                        (FZ Dresden-Rossendorf & MLU Halle-Wittenberg)
                        Arnold Krille <arnold@arnoldarts.de>

    This library is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation; version 3 of the License.

    This library is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; see the files lgpl-3.0.txt and
    gpl-3.0.txt. If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef VALUEMETER_H
#define VALUEMETER_H

#include <QtCore/QMap>
#include <QtGui/QWidget>

class QTimer;
class QFormLayout;
class QLCDNumber;

class ValueMeters : public QWidget
{
	Q_OBJECT
	public:
		ValueMeters( QWidget* );
		~ValueMeters();

	public slots:
		void addLogging( QMap<QString, double> );

	private:
		QMap<QString,QLCDNumber*> _widgets;
		QFormLayout* _layout;
};
#endif // VALUEMETER_H
