/*
 * Copyright 2005-2007 EPOS-project
 *                     (FZ Dresden-Rossendorf & MLU Halle-Wittenberg)
 */

#ifndef WORKER_THREAD_H
#define WORKER_THREAD_H

#include <QtCore/QThread>

#include <acqiris_datatypes.h>

class Filter;

class WorkerThread : public QThread
{
	Q_OBJECT
	public:
		WorkerThread( QObject* =0 );
		~WorkerThread();

		void run();

	public slots:
		void getData( NSAcqiris::ChannelData );
		void sendStatus();

	signals:
		void sendMessage( QString, QVariant );

	private:
		QList<Filter*> _filters;
};

#endif // WORKER_THREAD_H

