
#include "mythread.h"
#include "mythread.moc"

#include <QDebug>

#include "myevent.h"

MyThread::MyThread( QObject* p ) : QThread( p ), object( 0 ) {
	qDebug() << "MyThread::MyThread(" << p << ")";
}

void MyThread::run() {
	qDebug() << "MyThread::run() [" << this << "] starting own thread.";

	object = new MyEventChain();

	exec();

	delete object;
	object = 0;

	qDebug() << "MyThread::run() [" << this << "] done";
}

