/*
 * Copyright 2005-2007 EPOS-project
 *                     (FZ Dresden-Rossendorf & MLU Halle-Wittenberg)
 */


#ifndef MAIN_H
#define MAIN_H

#include <QtGui/QWidget>
#include <QtCore/QMap>
#include "acqiris.h"

class TTIM : public QWidget
{
	Q_OBJECT
	public:
		TTIM( QWidget* =0 );
		~TTIM();
	public slots:
		void gotData( ::Acqiris::ChannelData );
		void saveData();
	protected:
		void keyPressEvent( QKeyEvent* );
		void paintEvent( QPaintEvent* =0 );
	private:
		Acqiris::Acqiris* _acqiris;
		Acqiris::Digitizer* _digitizer;
		QMap <double,int> _ttis;
		int _max;
};

#endif // MAIN_H

