/*
 * Copyright 2005-2007 EPOS-project
 *                     (FZ Dresden-Rossendorf & MLU Halle-Wittenberg)
 */


#include <QtCore/QDebug>
#include <QtCore/QFile>
#include <QtCore/QDataStream>
#include <QtCore/QMap>

#include <QtGui/QApplication>
#include <QtGui/QStandardItemModel>
#include <chartview.h>

#include "ortek.h"

typedef quint32 datatype;

int main( int argc, char* argv[] )
{
	qDebug() << "Starting";

	for ( int i=0; i<argc; ++i ) {
		qDebug() << i << ": " << argv[ i ];
	}

	QString filename = "/home/arnold/Desktop/test_vac.chn";
	if ( argc>1 )
		filename = argv[ 1 ];

//	QFile file( "/home/arnold/Desktop/test_vac.chn" );
//	if ( file.open( QIODevice::ReadOnly|QIODevice::Unbuffered ) ) {
//		QDataStream stream( &file );
//		file.seek( 31 );
//		quint16 count;
//		stream >> count;
//		qDebug( "Count = %i", count );
//		QMap <qint16,datatype> counts;
//		qint16 i=0;
//		while ( ( ! file.atEnd() ) && file.pos() <= count*4+29 ) {
//			datatype tmp;
//			stream >> tmp;
//			if ( i<50 )
//			//qDebug() << "Int = " << tmp;
//			counts[ i ] = tmp;
//			++i;
//		}
//		//qDebug( "Last position = %i", file.pos() );
//		file.close();

		QMap <int, long> counts;

		spec_chn data = _load_chn_in( filename.toStdString().c_str() );
		int count = data.channel_number;
		for ( int i=0; i<count; ++i ) {
			counts[ i ] = data.data[ i ];
		}

//X 		for ( qint32 j=0; j<counts.size(); ++j ) {
//X 			qDebug() << j << " : " << counts[ j ];
//X 			if ( j==50 ) j=count-j;
//X 		}

		QFile outfile( QString( filename+".csv" ) );
		if ( outfile.open( QIODevice::WriteOnly ) ) {
			QTextStream stream( &outfile );
			for ( qint32 i=0; i<counts.size(); ++i ) {
				stream << QString::number( i ).toStdString().c_str() << " " << QString::number( counts[ i ] ).toStdString().c_str() << "\n";
			}
			outfile.close();
		}

#if 0
		QApplication* app = new QApplication( argc, argv );
		QStandardItemModel* model = new QStandardItemModel( 0, 2, app );
		for ( qint32 i=0; i<counts.size(); ++i ) {
			model->insertRow( model->rowCount() );
			model->setData( model->index( i, 0 ), i );
			model->setData( model->index( i, 1 ), int( counts[ i ] ) );
		}
		ChartView* view = new ChartView( 0 );
		view->setLogarithmicScale( true );
		view->setModel( model );

		view->show();

		return app->exec();
#endif
	return 0;
//	}
}

