/*
    Copyright 2005-2009 EPOS-Project
                        (FZ Dresden-Rossendorf & MLU Halle-Wittenberg)
                        Arnold Krille <arnold@arnoldarts.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; version 3 of the License.

    This program is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; see the file gpl-3.0.txt. If not, see
    <http://www.gnu.org/licenses/>.
*/

#include <QtGui/QtGui>
#include "networkchain.h"
#include "osciwidget_v3.h"

int main( int argc, char** argv )
{
	QApplication* app = new QApplication( argc, argv );

	OsciWidgetV3* w = new OsciWidgetV3( 0 );
	w->show();

	NSNetwork::NetworkDataReceiver* receiver = new NSNetwork::NetworkDataReceiver( app );
	receiver->registerConsumer( w->chainMember() );

	int r = app->exec();

	delete w;
	delete app;

	return r;
}

