/*
    Copyright 2009-2009 EPOS-Project
                        (FZ Dresden-Rossendorf & MLU Halle-Wittenberg)
                        Arnold Krille <arnold@arnoldarts.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; version 3 of the License.

    This program is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; see the file gpl-3.0.txt. If not, see
    <http://www.gnu.org/licenses/>.
*/

#include <QtGui/QApplication>

#include "spectrumgui.h"

#include "spectrummodel.h"

int main( int argc, char** argv )
{
	QApplication app( argc, argv );

	NSSpectrum::SpectrumGui* gui = new NSSpectrum::SpectrumGui( 0 );

	NSSpectrum::AbstractSpectrumModel* model = new NSSpectrum::ClassicSpectrumModel( gui );
	gui->setModel( model );

	gui->show();

	return app.exec();
}
