/*
 * Copyright 2005-2007 EPOS-project
 *                     (FZ Dresden-Rossendorf & MLU Halle-Wittenberg)
 */

#ifndef ACQUIRIS_THREAD_H
#define ACQUIRIS_THREAD_H

#include <QtCore/QThread>

#include <acqiris.h>

class AcqirisThread : public QThread
{
	Q_OBJECT
	public:
		AcqirisThread( QObject* =0 );
		~AcqirisThread();

		void run();

		NSAcqiris::Acqiris* acqiris() { return _acqiris; }
	private slots:
		void dataFromAcqiris( NSAcqiris::ChannelData );
	signals:
		void gotData( NSAcqiris::ChannelData );
		//void gotData( QVariant );
	private:
		NSAcqiris::Acqiris* _acqiris;
};

#endif // ACQUIRIS_THREAD_H

