/*
 * Copyright 2005-2007 EPOS-project
 *                     (FZ Dresden-Rossendorf & MLU Halle-Wittenberg)
 */

#ifndef CLIENTDELEGATE_H
#define CLIENTDELEGATE_H

#include <QtGui/QItemDelegate>

namespace NSClientModel {

	class ComputerItem;

	class ClientDelegate : public QItemDelegate
	{
		Q_OBJECT
		public:
			ClientDelegate( QObject* =0 );
			~ClientDelegate();

			void paint( QPainter*, const QStyleOptionViewItem&, const QModelIndex& ) const;
			QSize sizeHint( const QStyleOptionViewItem&, const QModelIndex& ) const;

		private:
			ComputerItem* computerItem( const QModelIndex& ) const;
	};

};

#endif // CLIENTDELEGATE_H

