/*
 * Copyright 2005-2007 EPOS-project
 *                     (FZ Dresden-Rossendorf & MLU Halle-Wittenberg)
 */


#include "treeitemwidget_filter.h"
#include "treeitemwidget_filter.moc"

#include <QtCore/QDebug>
#include <QtGui/QVBoxLayout>
#include <QtGui/QLabel>

TreeItemWidget_Filter::TreeItemWidget_Filter( NSClientModel::FilterItem* filter, QWidget* p ) : QWidget( p ) {
	qDebug() << "TreeItemWidget_Filter::TreeItemWidget_Filter( NSClientModel::FilterItem* " << filter
	         << ", QWidget* " << p << " )";
	QVBoxLayout *layout = new QVBoxLayout( this );
	setLayout( layout );
	QList<QString> names = filter->params();
	foreach( QString name, names ) {
		qDebug() << " Name = " << name << ", value = " << filter->value( name );
		QLabel *label = new QLabel( QString( "%1 : %2" ).arg( name ).arg( filter->value( name ).toString() ), this );
		layout->addWidget( label );
	}
}

