#ifndef MYEVENT_H
#define MYEVENT_H

#include <QObject>


class MyEventChain : public QObject
{
	Q_OBJECT
	public:
		MyEventChain( QObject* =0 );

		void setNextInChain( MyEventChain* );

		bool event( QEvent* );

	protected:
		MyEventChain* _nextInChain;
};

class MyEventSender : public MyEventChain
{
	Q_OBJECT
	public:
		MyEventSender( int, QObject* =0 );

	public slots:
		void sendSignals();

	private:
		int i;
};

#endif // MYEVENT_H

