#!/bin/bash

version=`svnversion |cut -d: -f 2`

echo " Current revision is: $version"

export LD_LIBRARY_PATH=lib:libplugins:$LD_LIBRARY_PATH

#echo $LD_LIBRARY_PATH

outputdirs=tests

for file in lib*/tests/*_test;
do
	testname=test-`basename $file`
	outputdir=$outputdirs/`basename $file`
	mkdir -p $outputdir;
	rm -f $outputdir/*.html;
	find $outputdir -ctime +90 |xargs rm -f
	echo "Running test: $testname"
	if [ $file -nt $outputdir/$testname-$version.xml ]; then
		./$file -xml > $outputdir/$testname-$version.xml;
	fi;
	#( cd $outputdir && ../../../qtestlib-tools/tools/generatereport/generatereport $testname-*.xml )
done
#rm -f $outputdirs/results*.html
#( cd $outputdirs && ../../qtestlib-tools/tools/generatereport/generatereport */*.xml )
